cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Abbas Mousavi <abbasmous...@yahoo.com>
Subject Re: Problems using Saxon
Date Tue, 03 Oct 2006 15:29:45 GMT
  Hi all

recently, there were some posts about integrating Saxon 8.8
to cocoon 1.2.9. and there is no clear answer on the list. 
I have also this problem.

Is there anyone on the list that used Saxon 8.8
with cocoon 1.2.9 successfully?  Is this a problem in saxon? or cocoon?
Askild Aaberg Olsen <askild@xangeli.com> wrote: Antonio Gallardo wrote:
> Askild Aaberg Olsen escribi�:
>> Jose Miguel Vieira wrote:
>>>
>>> Hello,
>>>
>>> I�m trying to add saxon 8.8 to cocoon 2.1.9 installed under tomcat 5.5.
>>>
>> We use Saxon 8.7.3 as described the Cocoon Wiki (remember to remove 
>> the  META-INF directory), but had no success with 8.8 (but not a 
>> nullpointerexception)
> Did you tried to rename the saxon.jar to  zsaxon.jar?
>
> The "z" prefix is a trick to make sure the saxon.jar is the last in 
> the classpath.
No change on my side, but it seems like it happens when you have more 
than one XSLT-transformer in the same pipeline (2.1.9 with "cocoon 
servlet"):

cause: java.lang.UnsupportedOperationException: The TransformerHandler 
is not serially reusable. The startDocument() method must be called once 
only.

Askild
-


 		
---------------------------------
Yahoo! Messenger with Voice. Make PC-to-Phone Calls to the US (and 30+ countries) for 2¢/min
or less.
Mime
View raw message